Subject: Missing towel
From: Terri Hannan <[email-masked]>
To: [email-masked]
Date: Fri, 23 May 2025 20:34:37 -0500

I purchased a six piece towel set from Amazon and received it this week.
There were Two bath towels,Two bath towels, one hand towel and two
fingertips towels.   II was missing one hand towel .  II opened the package
and put them directly into the wash and did not realize that there was a
missing hand towel until after I washed them.   II would like a second hand
towel.

Madison Park Serene in cream
Order #
May 20, 2025
114-5335902-6590618

Terri Hannan

Sent from Gmail Mobile